Upstream information

CVE-2022-2122 at MITRE

Description

DOS / potential heap overwrite in qtdemux using zlib decompression. Integer overflow in qtdemux element in qtdemux_inflate function which causes a segfault, or could cause a heap overwrite, depending on libc and OS. Depending on the libc used, and the underlying OS capabilities, it could be just a segfault or a heap overwrite.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 6.1
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:H
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High Low
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1201708 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Module for Basesystem 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2022-2957
SUSE Enterprise Storage 7
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-Storage-7-2022-2957
SUSE Linux Enterprise Desktop 12 SP5
SUSE Linux Enterprise Workstation Extension 12 SP5
  • gstreamer-0_10-plugins-good >= 0.10.31-17.7.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-17.7.1
Patchnames:
SUSE-SLE-WE-12-SP5-2022-3906
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • gstreamer-plugins-good >= 1.20.1-150400.3.3.1
  • gstreamer-plugins-good-lang >= 1.20.1-150400.3.3.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2022-3908
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-ESPOS-2022-2957
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2022-2957
SUSE Linux Enterprise Server 12 SP2-BCL
  • gstreamer-plugins-good >= 1.8.3-16.6.2
  • gstreamer-plugins-good-lang >= 1.8.3-16.6.2
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2022-2911
SUSE Linux Enterprise Server 12 SP3-BCL
  • gstreamer-plugins-good >= 1.8.3-16.6.2
  • gstreamer-plugins-good-lang >= 1.8.3-16.6.2
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2022-2911
SUSE Linux Enterprise Server 12 SP4-ESPOS
  • gstreamer-plugins-good >= 1.8.3-16.6.2
  • gstreamer-plugins-good-lang >= 1.8.3-16.6.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2022-2911
SUSE Linux Enterprise Server 12 SP4-LTSS
  • gstreamer-plugins-good >= 1.8.3-16.6.2
  • gstreamer-plugins-good-lang >= 1.8.3-16.6.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2022-2911
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • gstreamer-0_10-plugins-good >= 0.10.31-17.7.1
  • gstreamer-0_10-plugins-good-lang >= 0.10.31-17.7.1
  • gstreamer-plugins-good >= 1.8.3-16.6.2
  • gstreamer-plugins-good-lang >= 1.8.3-16.6.2
Patchnames:
SUSE-SLE-SERVER-12-SP5-2022-2911
SUSE-SLE-WE-12-SP5-2022-3906
SUSE Linux Enterprise Server 15 SP2-BCL
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-BCL-2022-2957
SUSE Linux Enterprise Server 15 SP2-LTSS
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2022-2957
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • gstreamer-plugins-good >= 1.8.3-16.6.2
  • gstreamer-plugins-good-lang >= 1.8.3-16.6.2
Patchnames:
SUSE-SLE-SAP-12-SP4-2022-2911
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2022-2957
SUSE Manager Proxy 4.1
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.1-2022-2957
SUSE Manager Retail Branch Server 4.1
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.1-2022-2957
SUSE Manager Server 4.1
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.1-2022-2957
SUSE OpenStack Cloud 9
  • gstreamer-plugins-good >= 1.8.3-16.6.2
  • gstreamer-plugins-good-lang >= 1.8.3-16.6.2
Patchnames:
SUSE-OpenStack-Cloud-9-2022-2911
SUSE OpenStack Cloud Crowbar 9
  • gstreamer-plugins-good >= 1.8.3-16.6.2
  • gstreamer-plugins-good-lang >= 1.8.3-16.6.2
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2022-2911
openSUSE Leap 15.3
  • gstreamer-plugins-good >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-32bit >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-doc >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-extra >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-extra-32bit >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-gtk >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-jack >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-jack-32bit >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-lang >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-qtqml >= 1.16.3-150200.3.9.1
Patchnames:
openSUSE-SLE-15.3-2022-2957
openSUSE Leap 15.4
  • gstreamer-plugins-good >= 1.20.1-150400.3.3.1
  • gstreamer-plugins-good-32bit >= 1.20.1-150400.3.3.1
  • gstreamer-plugins-good-doc >= 1.16.3-150200.3.9.1
  • gstreamer-plugins-good-extra >= 1.20.1-150400.3.3.1
  • gstreamer-plugins-good-extra-32bit >= 1.20.1-150400.3.3.1
  • gstreamer-plugins-good-gtk >= 1.20.1-150400.3.3.1
  • gstreamer-plugins-good-jack >= 1.20.1-150400.3.3.1
  • gstreamer-plugins-good-jack-32bit >= 1.20.1-150400.3.3.1
  • gstreamer-plugins-good-lang >= 1.20.1-150400.3.3.1
  • gstreamer-plugins-good-qtqml >= 1.20.1-150400.3.3.1
Patchnames:
openSUSE-SLE-15.4-2022-2957
openSUSE-SLE-15.4-2022-3908


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 gstreamer-plugins-good In progress
SUSE Enterprise Storage 6 gstreamer-plugins-good In progress
SUSE Enterprise Storage 7 gstreamer-plugins-good Released
SUSE Enterprise Storage 7.1 gstreamer-plugins-good Released
SUSE Linux Enterprise Desktop 12 SP5 gstreamer-0_10-plugins-good Released
SUSE Linux Enterprise Desktop 15 SP3 gstreamer-plugins-good Released
SUSE Linux Enterprise Desktop 15 SP4 gstreamer-plugins-good Released
SUSE Linux Enterprise High Performance Computing 12 SP5 gstreamer-plugins-good Released
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS gstreamer-plugins-good In progress
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS gstreamer-plugins-good In progress
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS gstreamer-plugins-good Released
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS gstreamer-plugins-good Released
SUSE Linux Enterprise High Performance Computing 15 SP3 gstreamer-plugins-good Released
SUSE Linux Enterprise High Performance Computing 15 SP4 gstreamer-plugins-good Released
SUSE Linux Enterprise High Performance Computing 15-LTSS gstreamer-plugins-good In progress
SUSE Linux Enterprise Module for Basesystem 15 SP3 gstreamer-plugins-good Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 gstreamer-plugins-good Released
SUSE Linux Enterprise Server 12 SP2-BCL gstreamer-plugins-good Released
SUSE Linux Enterprise Server 12 SP3-BCL gstreamer-plugins-good Released
SUSE Linux Enterprise Server 12 SP4-ESPOS gstreamer-plugins-good Released
SUSE Linux Enterprise Server 12 SP4-LTSS gstreamer-plugins-good Released
SUSE Linux Enterprise Server 12 SP5 gstreamer-0_10-plugins-good Released
SUSE Linux Enterprise Server 12 SP5 gstreamer-plugins-good Released
SUSE Linux Enterprise Server 15 SP1-LTSS gstreamer-plugins-good In progress
SUSE Linux Enterprise Server 15 SP2-LTSS gstreamer-plugins-good Released
SUSE Linux Enterprise Server 15 SP3 gstreamer-plugins-good Released
SUSE Linux Enterprise Server 15 SP4 gstreamer-plugins-good Released
SUSE Linux Enterprise Server 15-ESPOS gstreamer-plugins-good In progress
SUSE Linux Enterprise Server 15-LTSS gstreamer-plugins-good In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 gstreamer-plugins-good In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 gstreamer-plugins-good Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gstreamer-plugins-good Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gstreamer-0_10-plugins-good Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gstreamer-plugins-good In progress
SUSE Linux Enterprise Server for SAP Applications 15 gstreamer-plugins-good In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 gstreamer-plugins-good In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP2 gstreamer-plugins-good Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 gstreamer-plugins-good Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 gstreamer-plugins-good Released
SUSE Linux Enterprise Workstation Extension 12 SP5 gstreamer-0_10-plugins-good Released
SUSE Manager Proxy 4.1 gstreamer-plugins-good Released
SUSE Manager Proxy 4.2 gstreamer-plugins-good Released
SUSE Manager Proxy 4.3 gstreamer-plugins-good Released
SUSE Manager Retail Branch Server 4.1 gstreamer-plugins-good Released
SUSE Manager Retail Branch Server 4.2 gstreamer-plugins-good Released
SUSE Manager Retail Branch Server 4.3 gstreamer-plugins-good Released
SUSE Manager Server 4.1 gstreamer-plugins-good Released
SUSE Manager Server 4.2 gstreamer-plugins-good Released
SUSE Manager Server 4.3 gstreamer-plugins-good Released
SUSE OpenStack Cloud 9 gstreamer-plugins-good Released
SUSE OpenStack Cloud Crowbar 9 gstreamer-plugins-good Released
openSUSE Leap gstreamer-plugins-goodReleased


SUSE Timeline for this CVE

CVE page created: Wed Jul 20 04:01:37 2022
CVE page last modified: Fri Nov 25 17:51:46 2022